Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class SROIQIncStrategy

    java.lang.Object
      org.mindswap.pellet.CompletionStrategy
          org.mindswap.pellet.SROIQStrategy
              org.mindswap.pellet.SROIQIncStrategy

    public class SROIQIncStrategy

extends SROIQStrategy

The completion strategy for incremental consistency checking.

Author:
  Christian Halaschek-Wiener

Field Summary

Fields inherited from class org.mindswap.pellet.CompletionStrategy
`log`

Constructor Summary
`SROIQIncStrategy(ABox abox)` Constructor

Method Summary
`java.util.Iterator` | `getInitializeIterator()` Return individuals to which we need to apply the initialization rules
`java.util.Iterator` | `getNewIterator()` Return individuals that were newly added
`void` | `initialize()` There are additional rule that must be fired in the event of incremental additions and deletions in order to guarentee completeness.

Methods inherited from class org.mindswap.pellet.CompletionStrategy
`addEdge, addType, mergeTo, restore, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SROIQIncStrategy

    public SROIQIncStrategy(ABox abox)

  Constructor

  Parameters:
    `abox` -

Method Detail

### getInitializeIterator

    public java.util.Iterator getInitializeIterator()

  Return individuals to which we need to apply the initialization rules

  Overrides:
    `getInitializeIterator` in class `CompletionStrategy`
  Returns:

### getNewIterator

    public java.util.Iterator getNewIterator()

  Return individuals that were newly added

  Returns:

### initialize

    public void initialize()

  There are additional rule that must be fired in the event of incremental additions and deletions in order to guarentee completeness. These are done here.

  Overrides:
    `initialize` in class `CompletionStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.